Compute Cloud API, REST: ReservedInstancePool.Create
Creates an reserved instance pool in the specified folder.
Method starts an asynchronous operation that can be cancelled while it is in progress.
HTTP request
POST https://compute.api.yandexcloud.kz/compute/v1/reservedInstancePools
Body parameters
{
"name": "string",
"description": "string",
"labels": "object",
"zoneId": "string",
"folderId": "string",
"platformId": "string",
"resourcesSpec": {
"memory": "string",
"cores": "string",
"coreFraction": "string",
"gpus": "string"
},
"gpuSettings": {
"gpuClusterId": "string"
},
"bootDiskSpec": {
// Includes only one of the fields `diskId`, `imageId`, `snapshotId`, `productIds`
"diskId": "string",
"imageId": "string",
"snapshotId": "string",
"productIds": {
"productIds": [
"string"
]
}
// end of the list of possible fields
},
"networkSettings": {
"type": "string"
},
"size": "string",
"allowOversubscription": "boolean"
}
|
Field |
Description |
|
name |
string Name of the reserved instance pool. |
|
description |
string Description of the reserved instance pool. |
|
labels |
object (map<string, string>) Resource labels as |
|
zoneId |
string ID of the availability zone where the reserved instance pool resides. |
|
folderId |
string ID of the folder to create the reserved instance pool in. |
|
platformId |
string ID of the hardware platform configuration for the reserved instance pool. |
|
resourcesSpec |
Computing resources of the reserved instance pool instances, such as the amount of memory and number of cores. |
|
gpuSettings |
GPU settings. |
|
bootDiskSpec |
Spec is used to determine which License IDs should be allowed for instances created in the pool. |
|
networkSettings |
Network settings. |
|
size |
string (int64) Desired size of the pool (number of slots for instances in this pool). |
|
allowOversubscription |
boolean Allows the pool to contain more linked instances than the number of available slots (size without pending or unavailable slots). |
ResourcesSpec
|
Field |
Description |
|
memory |
string (int64) The amount of memory available to the instance, specified in bytes. |
|
cores |
string (int64) The number of cores available to the instance. |
|
coreFraction |
string (int64) Baseline level of CPU performance with the ability to burst performance above that baseline level. |
|
gpus |
string (int64) The number of GPUs available to the instance. |
GpuSettings
|
Field |
Description |
|
gpuClusterId |
string Attach instance to specified GPU cluster. |
BootDiskSpec
Specification used to determine required product_ids
You can specify product ids explicitly or use disk_id|image_id|snapshot_id to infer products ids from them.
|
Field |
Description |
|
diskId |
string Disk ID. Includes only one of the fields Only one field must by specified. |
|
imageId |
string Image ID. Includes only one of the fields Only one field must by specified. |
|
snapshotId |
string Snapshot ID. Includes only one of the fields Only one field must by specified. |
|
productIds |
Product IDs. Includes only one of the fields Only one field must by specified. |
ProductIDs
|
Field |
Description |
|
productIds[] |
string License IDs that indicate which licenses are attached to resource. |
NetworkSettings
|
Field |
Description |
|
type |
enum (Type) Network Type
|
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |